Skip to main content
Delete Consent
curl --request DELETE \
  --url https://api.yapily.com/consents/{consentId} \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://api.yapily.com/consents/{consentId}"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api.yapily.com/consents/{consentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "meta": {
    "tracingId": "9aacaccc6dbf4a86960c9541969087a0"
  },
  "data": {
    "id": "56a42244-414a-4b52-8c4f-4ad2a50e82fe",
    "deleteStatus": "SUCCESS",
    "institutionId": "modelo-sandbox",
    "institutionConsentId": "aac-605d48f2-2a0e-4594-81a9-996524fa3b2a",
    "creationDate": "2021-06-08T10:59:35.138Z"
  }
}
{
"error": {
"code": 401,
"status": "UNAUTHORIZED",
"message": "Full authentication is required to access this resource"
}
}

Authorizations

Authorization
string
header
required

Use HTTP Basic Authentication with your Application ID as username and Application Secret as password. Manage credentials in the Yapily Console. See Authentication for details.

Path Parameters

Mandatory. The consent Id of the Consent to update.

Query Parameters

forceDelete
boolean
default:true

Optional. Whether to force the deletion.

Response

Ok

meta
object
data
object
forwardedData
object[]
raw
object[]
deprecated